# GNU Make project makefile autogenerated by Premake
ifndef config
  config=debug
endif

ifndef verbose
  SILENT = @
endif

ifndef CC
  CC = gcc
endif

ifndef CXX
  CXX = g++
endif

ifndef AR
  AR = ar
endif

ifeq ($(config),debug)
  OBJDIR     = obj/Debug/wxFormBuilder
  TARGETDIR  = ../../../output/bin
  TARGET     = $(TARGETDIR)/wxformbuilder-30
  DEFINES   += -DUNICODE -D_UNICODE -DDEBUG -D_DEBUG -DNO_GCC_PRAGMA -DTIXML_USE_TICPP -DAPPEND_WXVERSION -D__WXFB_DEBUG__ -D__WXDEBUG__ -DWXUSINGDLL
  INCLUDES  += -I../../../src -I../../../src/boost -I../../../sdk/tinyxml -I../../../sdk/plugin_interface
  CPPFLAGS  += -MMD -MP $(DEFINES) $(INCLUDES)
  CFLAGS    += $(CPPFLAGS) $(ARCH) -g -Wall -O0 `wx-config --debug=yes --static=no --unicode=yes --cxxflags`
  CXXFLAGS  += $(CFLAGS) 
  LDFLAGS   += -Wl,-rpath,/usr/lib/wxformbuilder `wx-config --debug=yes --static=no --unicode=yes --libs std,stc,richtext,propgrid,aui,ribbon` -L../../../sdk/lib -L../../../output/lib/wxformbuilder
  LIBS      += -lticppd -lwx_gtk2ud_plugin-interface-3.0 -ldl
  RESFLAGS  += $(DEFINES) $(INCLUDES) 
  LDDEPS    += ../../../sdk/lib/libticppd.a ../../../sdk/lib/libwx_gtk2ud_plugin-interface-3.0.a
  LINKCMD    = $(CXX) -o $(TARGET) $(OBJECTS) $(LDFLAGS) $(RESOURCES) $(ARCH) $(LIBS)
  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

ifeq ($(config),release)
  OBJDIR     = obj/Release/wxFormBuilder
  TARGETDIR  = ../../../output/bin
  TARGET     = $(TARGETDIR)/wxformbuilder
  DEFINES   += -DUNICODE -D_UNICODE -DNDEBUG -DNO_GCC_PRAGMA -DTIXML_USE_TICPP -DAPPEND_WXVERSION -DWXUSINGDLL
  INCLUDES  += -I../../../src -I../../../src/boost -I../../../sdk/tinyxml -I../../../sdk/plugin_interface
  CPPFLAGS  += -MMD -MP $(DEFINES) $(INCLUDES)
  CFLAGS    += $(CPPFLAGS) $(ARCH) -Wall -O2 -fno-strict-aliasing `wx-config --static=no --unicode=yes --cxxflags`
  CXXFLAGS  += $(CFLAGS) 
  LDFLAGS   += -s -Wl,-rpath,/usr/lib/wxformbuilder `wx-config --static=no --unicode=yes --libs std,stc,richtext,propgrid,aui,ribbon` -L../../../sdk/lib -L../../../output/lib/wxformbuilder
  LIBS      += -lticpp -lwx_gtk2u_plugin-interface-3.0 -ldl
  RESFLAGS  += $(DEFINES) $(INCLUDES) 
  LDDEPS    += ../../../sdk/lib/libticpp.a ../../../sdk/lib/libwx_gtk2u_plugin-interface-3.0.a
  LINKCMD    = $(CXX) -o $(TARGET) $(OBJECTS) $(LDFLAGS) $(RESOURCES) $(ARCH) $(LIBS)
  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

OBJECTS := \
	$(OBJDIR)/maingui.o \
	$(OBJDIR)/splashscreen.o \
	$(OBJDIR)/luacg.o \
	$(OBJDIR)/xrccg.o \
	$(OBJDIR)/codeparser.o \
	$(OBJDIR)/cppcg.o \
	$(OBJDIR)/codegen.o \
	$(OBJDIR)/phpcg.o \
	$(OBJDIR)/pythoncg.o \
	$(OBJDIR)/codewriter.o \
	$(OBJDIR)/stack.o \
	$(OBJDIR)/stringutils.o \
	$(OBJDIR)/wxfbipc.o \
	$(OBJDIR)/filetocarray.o \
	$(OBJDIR)/annoyingdialog.o \
	$(OBJDIR)/encodingutils.o \
	$(OBJDIR)/typeconv.o \
	$(OBJDIR)/database.o \
	$(OBJDIR)/types.o \
	$(OBJDIR)/objectbase.o \
	$(OBJDIR)/xrcfilter.o \
	$(OBJDIR)/wxfbmanager.o \
	$(OBJDIR)/appdata.o \
	$(OBJDIR)/customkeys.o \
	$(OBJDIR)/mainframe.o \
	$(OBJDIR)/cmdproc.o \
	$(OBJDIR)/genericpanel.o \
	$(OBJDIR)/palette.o \
	$(OBJDIR)/about.o \
	$(OBJDIR)/title.o \
	$(OBJDIR)/menueditor.o \
	$(OBJDIR)/wxfbevent.o \
	$(OBJDIR)/bitmaps.o \
	$(OBJDIR)/xrcpanel.o \
	$(OBJDIR)/dataobject.o \
	$(OBJDIR)/cpppanel.o \
	$(OBJDIR)/xrcpreview.o \
	$(OBJDIR)/wxfbadvprops.o \
	$(OBJDIR)/objinspect.o \
	$(OBJDIR)/luapanel.o \
	$(OBJDIR)/pythonpanel.o \
	$(OBJDIR)/geninhertclass.o \
	$(OBJDIR)/geninhertclass_gui.o \
	$(OBJDIR)/codeeditor.o \
	$(OBJDIR)/phppanel.o \
	$(OBJDIR)/objecttree.o \
	$(OBJDIR)/visualobj.o \
	$(OBJDIR)/innerframe.o \
	$(OBJDIR)/menubar.o \
	$(OBJDIR)/visualeditor.o \
	$(OBJDIR)/md5.o \

RESOURCES := \

SHELLTYPE := msdos
ifeq (,$(ComSpec)$(COMSPEC))
  SHELLTYPE := posix
endif
ifeq (/bin,$(findstring /bin,$(SHELL)))
  SHELLTYPE := posix
endif

.PHONY: clean prebuild prelink

all: $(TARGETDIR) $(OBJDIR) prebuild prelink $(TARGET)
	@:

$(TARGET): $(GCH) $(OBJECTS) $(LDDEPS) $(RESOURCES)
	@echo Linking wxFormBuilder
	$(SILENT) $(LINKCMD)
	$(POSTBUILDCMDS)

$(TARGETDIR):
	@echo Creating $(TARGETDIR)
ifeq (posix,$(SHELLTYPE))
	$(SILENT) mkdir -p $(TARGETDIR)
else
	$(SILENT) mkdir $(subst /,\\,$(TARGETDIR))
endif

$(OBJDIR):
	@echo Creating $(OBJDIR)
ifeq (posix,$(SHELLTYPE))
	$(SILENT) mkdir -p $(OBJDIR)
else
	$(SILENT) mkdir $(subst /,\\,$(OBJDIR))
endif

clean:
	@echo Cleaning wxFormBuilder
ifeq (posix,$(SHELLTYPE))
	$(SILENT) rm -f  $(TARGET)
	$(SILENT) rm -rf $(OBJDIR)
else
	$(SILENT) if exist $(subst /,\\,$(TARGET)) del $(subst /,\\,$(TARGET))
	$(SILENT) if exist $(subst /,\\,$(OBJDIR)) rmdir /s /q $(subst /,\\,$(OBJDIR))
endif

prebuild:
	$(PREBUILDCMDS)

prelink:
	$(PRELINKCMDS)

ifneq (,$(PCH))
$(GCH): $(PCH)
	@echo $(notdir $<)
	-$(SILENT) cp $< $(OBJDIR)
	$(SILENT) $(CXX) $(CXXFLAGS) -o "$@" -c "$<"
endif

$(OBJDIR)/maingui.o: ../../../src/maingui.cpp
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(CXXFLAGS) -o "$@" -c "$<"
$(OBJDIR)/splashscreen.o: ../../../src/splashscreen.cpp
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(CXXFLAGS) -o "$@" -c "$<"
$(OBJDIR)/luacg.o: ../../../src/codegen/luacg.cpp
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(CXXFLAGS) -o "$@" -c "$<"
$(OBJDIR)/xrccg.o: ../../../src/codegen/xrccg.cpp
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(CXXFLAGS) -o "$@" -c "$<"
$(OBJDIR)/codeparser.o: ../../../src/codegen/codeparser.cpp
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(CXXFLAGS) -o "$@" -c "$<"
$(OBJDIR)/cppcg.o: ../../../src/codegen/cppcg.cpp
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(CXXFLAGS) -o "$@" -c "$<"
$(OBJDIR)/codegen.o: ../../../src/codegen/codegen.cpp
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(CXXFLAGS) -o "$@" -c "$<"
$(OBJDIR)/phpcg.o: ../../../src/codegen/phpcg.cpp
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(CXXFLAGS) -o "$@" -c "$<"
$(OBJDIR)/pythoncg.o: ../../../src/codegen/pythoncg.cpp
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(CXXFLAGS) -o "$@" -c "$<"
$(OBJDIR)/codewriter.o: ../../../src/codegen/codewriter.cpp
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(CXXFLAGS) -o "$@" -c "$<"
$(OBJDIR)/stack.o: ../../../src/dbg_stack_trace/stack.cpp
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(CXXFLAGS) -o "$@" -c "$<"
$(OBJDIR)/stringutils.o: ../../../src/utils/stringutils.cpp
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(CXXFLAGS) -o "$@" -c "$<"
$(OBJDIR)/wxfbipc.o: ../../../src/utils/wxfbipc.cpp
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(CXXFLAGS) -o "$@" -c "$<"
$(OBJDIR)/filetocarray.o: ../../../src/utils/filetocarray.cpp
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(CXXFLAGS) -o "$@" -c "$<"
$(OBJDIR)/annoyingdialog.o: ../../../src/utils/annoyingdialog.cpp
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(CXXFLAGS) -o "$@" -c "$<"
$(OBJDIR)/encodingutils.o: ../../../src/utils/encodingutils.cpp
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(CXXFLAGS) -o "$@" -c "$<"
$(OBJDIR)/typeconv.o: ../../../src/utils/typeconv.cpp
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(CXXFLAGS) -o "$@" -c "$<"
$(OBJDIR)/database.o: ../../../src/model/database.cpp
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(CXXFLAGS) -o "$@" -c "$<"
$(OBJDIR)/types.o: ../../../src/model/types.cpp
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(CXXFLAGS) -o "$@" -c "$<"
$(OBJDIR)/objectbase.o: ../../../src/model/objectbase.cpp
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(CXXFLAGS) -o "$@" -c "$<"
$(OBJDIR)/xrcfilter.o: ../../../src/model/xrcfilter.cpp
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(CXXFLAGS) -o "$@" -c "$<"
$(OBJDIR)/wxfbmanager.o: ../../../src/rad/wxfbmanager.cpp
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(CXXFLAGS) -o "$@" -c "$<"
$(OBJDIR)/appdata.o: ../../../src/rad/appdata.cpp
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(CXXFLAGS) -o "$@" -c "$<"
$(OBJDIR)/customkeys.o: ../../../src/rad/customkeys.cpp
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(CXXFLAGS) -o "$@" -c "$<"
$(OBJDIR)/mainframe.o: ../../../src/rad/mainframe.cpp
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(CXXFLAGS) -o "$@" -c "$<"
$(OBJDIR)/cmdproc.o: ../../../src/rad/cmdproc.cpp
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(CXXFLAGS) -o "$@" -c "$<"
$(OBJDIR)/genericpanel.o: ../../../src/rad/genericpanel.cpp
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(CXXFLAGS) -o "$@" -c "$<"
$(OBJDIR)/palette.o: ../../../src/rad/palette.cpp
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(CXXFLAGS) -o "$@" -c "$<"
$(OBJDIR)/about.o: ../../../src/rad/about.cpp
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(CXXFLAGS) -o "$@" -c "$<"
$(OBJDIR)/title.o: ../../../src/rad/title.cpp
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(CXXFLAGS) -o "$@" -c "$<"
$(OBJDIR)/menueditor.o: ../../../src/rad/menueditor.cpp
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(CXXFLAGS) -o "$@" -c "$<"
$(OBJDIR)/wxfbevent.o: ../../../src/rad/wxfbevent.cpp
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(CXXFLAGS) -o "$@" -c "$<"
$(OBJDIR)/bitmaps.o: ../../../src/rad/bitmaps.cpp
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(CXXFLAGS) -o "$@" -c "$<"
$(OBJDIR)/xrcpanel.o: ../../../src/rad/xrcpanel/xrcpanel.cpp
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(CXXFLAGS) -o "$@" -c "$<"
$(OBJDIR)/dataobject.o: ../../../src/rad/dataobject/dataobject.cpp
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(CXXFLAGS) -o "$@" -c "$<"
$(OBJDIR)/cpppanel.o: ../../../src/rad/cpppanel/cpppanel.cpp
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(CXXFLAGS) -o "$@" -c "$<"
$(OBJDIR)/xrcpreview.o: ../../../src/rad/xrcpreview/xrcpreview.cpp
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(CXXFLAGS) -o "$@" -c "$<"
$(OBJDIR)/wxfbadvprops.o: ../../../src/rad/inspector/wxfbadvprops.cpp
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(CXXFLAGS) -o "$@" -c "$<"
$(OBJDIR)/objinspect.o: ../../../src/rad/inspector/objinspect.cpp
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(CXXFLAGS) -o "$@" -c "$<"
$(OBJDIR)/luapanel.o: ../../../src/rad/luapanel/luapanel.cpp
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(CXXFLAGS) -o "$@" -c "$<"
$(OBJDIR)/pythonpanel.o: ../../../src/rad/pythonpanel/pythonpanel.cpp
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(CXXFLAGS) -o "$@" -c "$<"
$(OBJDIR)/geninhertclass.o: ../../../src/rad/geninheritclass/geninhertclass.cpp
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(CXXFLAGS) -o "$@" -c "$<"
$(OBJDIR)/geninhertclass_gui.o: ../../../src/rad/geninheritclass/geninhertclass_gui.cpp
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(CXXFLAGS) -o "$@" -c "$<"
$(OBJDIR)/codeeditor.o: ../../../src/rad/codeeditor/codeeditor.cpp
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(CXXFLAGS) -o "$@" -c "$<"
$(OBJDIR)/phppanel.o: ../../../src/rad/phppanel/phppanel.cpp
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(CXXFLAGS) -o "$@" -c "$<"
$(OBJDIR)/objecttree.o: ../../../src/rad/objecttree/objecttree.cpp
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(CXXFLAGS) -o "$@" -c "$<"
$(OBJDIR)/visualobj.o: ../../../src/rad/designer/visualobj.cpp
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(CXXFLAGS) -o "$@" -c "$<"
$(OBJDIR)/innerframe.o: ../../../src/rad/designer/innerframe.cpp
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(CXXFLAGS) -o "$@" -c "$<"
$(OBJDIR)/menubar.o: ../../../src/rad/designer/menubar.cpp
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(CXXFLAGS) -o "$@" -c "$<"
$(OBJDIR)/visualeditor.o: ../../../src/rad/designer/visualeditor.cpp
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(CXXFLAGS) -o "$@" -c "$<"
$(OBJDIR)/md5.o: ../../../src/md5/md5.cc
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(CXXFLAGS) -o "$@" -c "$<"

-include $(OBJECTS:%.o=%.d)
